Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.cluster
Class ClusterException

    java.lang.Object
      JSException
          jet.server.api.cluster.ClusterException

    public class ClusterException

extends JSException

A exception throws from Cluster implementation of JReport APIs.

Constructor Summary
`ClusterException(int msgKey)` Construct a new `ClusterException` with specified msgKey, the cause is not initialized.
`ClusterException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`ClusterException(int msgKey, java.lang.Throwable cause)` Construct a new `ClusterException` with specified detail message and cause.
`ClusterException(java.lang.String message)` Construct a new `ClusterException` with specified message, the cause is not initialized.
`ClusterException(java.lang.Throwable originalThrowable)` Construct a new `ClusterException` with specified cause and a `null`detail message.``

Method Summary
`java.lang.Throwable` | `getOriginalThrowable()` Get the original Throwable object.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClusterException

    public ClusterException(int msgKey,
                            java.lang.Object[] params,
                            java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### ClusterException

    public ClusterException(int msgKey,
                            java.lang.Throwable cause)

  Construct a new `ClusterException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### ClusterException

    public ClusterException(int msgKey)

  Construct a new `ClusterException` with specified msgKey, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### ClusterException

    public ClusterException(java.lang.String message)

  Construct a new `ClusterException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### ClusterException

    public ClusterException(java.lang.Throwable originalThrowable)

  Construct a new `ClusterException` with specified cause and a `null`detail message.

  Parameters:
    `originalThrowable` - the cause.
  ``

Method Detail

### toString

    public java.lang.String toString()

### getOriginalThrowable

    public java.lang.Throwable getOriginalThrowable()

  Get the original Throwable object.

  Returns:
    the original Throwable object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD